These are chat archives for tj/n

23rd
Sep 2016
Isaac Boda
@IsaacBoda_twitter
Sep 23 2016 21:14
Greetings. Have a question and am pretty novice with all this.

When I run from administrator command prompt:

npm install -g n

I get a ERR code EBADPLATFORM message.

c:\mongodb\bin>npm install -g n
npm ERR! Windows_NT 6.3.9600
npm ERR! argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\
node_modules\\npm\\bin\\npm-cli.js" "install" "-g" "n"
npm ERR! node v6.6.0
npm ERR! npm  v3.10.3
npm ERR! code EBADPLATFORM

npm ERR! notsup Not compatible with your operating system or architecture: n@2.1
.4
npm ERR! notsup Valid OS:    !win32
npm ERR! notsup Valid Arch:  any
npm ERR! notsup Actual OS:   win32
npm ERR! notsup Actual Arch: x64

npm ERR! Please include the following file with any support request:
npm ERR!     c:\mongodb\bin\npm-debug.log
Log shows unsupported platform for n@2.1.4 and I am on Windows 8 x64